static void checkOpen (/*@open@*/ /*@null@*/ FILE *);
static void checkClosed (/*@closed@*/ /*@null@*/ FILE *);

int main (void)
{
  FILE *fle = NULL;
  char s[10];

  fle = fopen ("test", "r");
@.S
  if (fle == NULL) 
    {
      return 0;
    }

  checkClosed (fle); /* error */
  return 0; 
} 

